%global srcname dbus-client-gen

Summary:        Library for Generating D-Bus Client Code
Name:           python-%{srcname}
Version:        0.5.1
Release:        3%{?dist}
License:        MPLv2.0
URL:            https://github.com/stratis-storage/dbus-client-gen
Source0:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
This library contains a few methods that consume an XML specification of a D-Bus interface and
return classes or functions that may be useful in constructing a python D-Bus client. The XML
specification has the format of the data returned by the Introspect() method of the Introspectable
interface.

%package -n python3-%{srcname}
Summary:        Library for Generating D-Bus Client Code
BuildRequires:  python3-devel python3-setuptools

%description -n python3-%{srcname}
This library contains a few methods that consume an XML specification of a D-Bus interface and
return classes or functions that may be useful in constructing a python D-Bus client. The XML
specification has the format of the data returned by the Introspect() method of the Introspectable
interface.

Python 3 version.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/dbus_client_gen/
%{python3_sitelib}/dbus_client_gen-*.egg-info/

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.1-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.1-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Jul 10 2023 Shuo Wang <abushwang@tencent.com> - 0.5.1-1
- update to 0.5.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 15 2023 Shuo Wang <abushwang@tencent.com> - 0.5-1
- initial build
